Subject: Re: [PATCH 0/2] restore fast-export full filecopy detection

From: Mark Nauwelaerts <[email-masked]>
Date: Sun, 07 Jan 2018 17:56:07 +0100

On 24/12/17 11:52, Mark Nauwelaerts wrote:
> From: Mark Nauwelaerts <[email-masked]>
>
> When using fast-export/fast-import to interface/bridge with another VCS
> that explicitly tracks copy/rename as metadata, fast-export's ability
> to report filecopy/filerename is quite useful (if not essential).
>
> There has been a fix in this area recently with as side-effect that
> in some scenarios a filecopy is no longer reported as such.
> These few patches provide an alternative fix for the original problem
> while still retaining previous fast-export's filecopy reporting.
>
> See patches for additional details and commit references.
Any comments or opinions on these patches?  Could they be applied and included?

Thanks,
Mark.